@import url('https://fonts.googleapis.com/css2?family=Crimson+Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700&family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Merriweather:ital,wght@0,300;0,400;0,700;1,300;1,700&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
*{
    margin: 0;
    padding: 0;
}

body{
    font-family: "Crimson Text", serif;
    font-weight: 400;
    font-style: normal;
}

html{
    scroll-behavior: smooth;
}

p{
    color: rgb(85, 85, 85);
}

/* TRANSITION */

a, .btn{
    transition: all 300ms ease;
}

/* NAV */

.nav-head, .nav-links{
    display: flex;
}

.nav-head{
    justify-content: space-around;
    align-items: center;
    height: 100px;
}

.nav-links{
    gap: 2rem;
    list-style: none;
    font-size: 1.25rem;
}

a{
    color: black;
    text-decoration: none;
    text-decoration-color: aliceblue;
}

a:hover{
    color: red;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-color: darkslategray;
}

.logo{
    font-size: 1.35rem;
}

.logo:hover{
    cursor: default;
}

/* SIDE NAV */

#side-nav{
    display: none;
}

.side-menu{
    position: relative;
    display: inline-block;
}

.side-icon{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 30px;
    cursor: pointer;
}

.side-icon span{
    display: block;
    width: 100%;
    height: 2px;
    background-color: black;
    transition: all 0.3 ease-in-out;
}

.side-menulinks{
    position: absolute;
    top: 100%;
    right: 0;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3 ease-in-out;

}

.side-menulinks a{
    display: block;
    padding: 10px;
    text-align: center;
    font-size: 1.25rem;
    color: black;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}

.side-menulinks a:hover{
    color: red;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-color: darkslategray;
}

.side-menulinks li{
    list-style: none;
}

.side-menulinks.open{
    max-height: 500px;
    transition: max-height 0.3s ease-in-out;
}

.side-icon.open span:first-child(1){
    transform: rotate(45deg);
    transform-origin: center;
}

.side-icon.open span:nth-child(2){
    opacity: 0;
}

.side-icon.open span:nth-child(3){
    transform: rotate(-45deg);
    transform-origin: center;
}

/* SECTION */

.section_id{
    padding-top: 40px;
    height: 100px;
    margin: 0 20rem ;
    margin-right: 0;
    box-sizing: border-box;
    min-height: fit-content;
}

#section_id{
    display: flex;
    gap: 5rem;
}

.content_container{
    display: flex;
}

.content_container img{
    width: 400px;
    height: 400px;
    border-radius: 50%;
    border: 1px solid black;
    margin: auto 0;
}

.content_text{
    align-self: center;
    text-align: center;
    padding: 100px;
}

.content_text p{
    font-weight: 700;
}

.content_para1{
    padding-bottom: 20px;
    font-size: 25px;
}

.content_h1{
    padding-bottom: 20px;
    font-size: 30px;
}

.content_para2{
    font-size: 25px;
    padding-bottom: 10px;
}

.btn{
    width: 130px;
    padding: 10px;
    border-radius: 101px;
    margin-bottom: 15px;
    font-size: 13.5px;
    font-weight: 600;
    cursor: pointer;
}

.btn-color0{
    background-color: white;
}

.btn-color1{
    margin-left: 10px;
    background-color: darkslategrey;
    color: aliceblue;
}

.btn-color0:hover{
    color: white;
    background-color: darkslategray ;
}

.btn-color1:hover{
    color: black;
    background-color: white;
}

.content_icon{
    width: 40px;
    border-radius: 8px;
    cursor: pointer;
}

.content_icon:hover{
    border-radius: 50%;
    transition-duration: 0.4s;
}

.github{
    margin-left: 10px;
}

/* ABOUT CONTAINER */

.section_about{
    text-align: center;
    margin-left: 150px;
    margin-top: 150px;
}

.about_title0{
    font-size: 1.2rem;
    margin-bottom: 10px;
}

.about_title1{
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 30px;
}

.about_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}

.aboutimg_container img{
    width: 450px;
    height: 500px;
    border: 1px solid black;
    border-radius: 10px;
}

.about_main{
    flex-direction: column;
    align-items: flex-start;
}

.about_content{
    display: flex;
    flex-wrap:wrap;
    gap: 30px;
    justify-content: center;
    margin-bottom: 20px;
}

/* hover effects of certificates */

.about_content_container{
    position: relative;
    border: 2px solid black;
    border-radius: 20px;
    padding: 20px;
    text-align: center;
    min-width: 300px;
    right: 50px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease-in-out;
    overflow: hidden;
}

.about_content_container:hover{
    background-color: aliceblue;
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
}

.about_content_container .view-btn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
    padding: 8px 12px;
    font-size: 0.9rem;
    color: black;
    background-color: whitesmoke;
    border: 1px solid black;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}

.about_content_container:hover .view-btn{
    opacity: 1; 
    visibility: visible;
    bottom: 20px;
}

.about_content_container .view-btn:hover{
    background-color: darkslategray;
    color: white;
}

/* icon */

.about_icon{
    width: 40px;
    height: 40px;
    margin-bottom: 10px;
}

.about_content_container h3{
    font-size: 1.2rem;
    margin-bottom: 5px;
    font-weight: bold;
}

.about_content_container p{
    font-size: 1.1rem;
    color: #555;
}

.about_description p{
    text-align: justify;
    line-height: 1.6;
    color: #333;
    font-size: 1.1rem;
    margin-left: 50px;
    margin-right: 170px;
}

.icon_arrow{
    margin-left: 90%;
    width: 40px;
    margin-top: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.icon_arrow:hover{
    border-radius: 50%;
}

/* SKILLS */

.section_experience{
    position: relative;
    text-align: center;
    margin: 100px auto;
}

.experience_title0{
    font-size: 1.2rem;
    margin-bottom: 10px;
}

.experience_title1{
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 50px;
}

.experience_main{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    margin-bottom: 100px;
}

.experience_content_container{
    border: 2px solid black;
    border-radius: 20px;
    padding: 20px 30px;
    text-align: left;
    width: 500px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.experience_subtitle{
    font-size: 1.5rem;
    font-weight: 600;
    text-align: center;
    margin-bottom: 10px;
}

.experience_sub{
    text-align: center;
    margin-bottom: 20px;
    font-size: 1rem;
}

.article_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
    padding-bottom: 20px;
    padding-top: 10px;
}

.article_container article{
    display: flex;
    gap: 10px;
    padding-left: 50px;
}

.experience_icon{
    width: 25px;
    height: 25px;
}

.article_container article h3{
    font-size: 1.2rem;
    font-weight: bold;
    margin: 0;
}

.article_container article p{
    font-size: 1.2rem;
    margin: 0;
}

/* project*/

.project_content{
    width: 400px;
}

.project_main_btn{
    margin-left: 35px;
}

.project_btn{
    margin-right: 15px;
}

.btn3{
    margin-left: 120px;
}

.project_btn:hover{
    background-color: darkslategray;
    color: white;
}

.project_btn1:hover{
    background-color: darkslategray;
    color: white;
}

.project_img{
    width: 400px;
    height: 280px;
    border-radius: 10px;
}

.img3{
    border: 1px solid black;
}

/* form */

form .contact_main{
    display: flex;
    justify-content: center;
    gap: 50px;
}

.field .item{
    width: 255px;
    padding: 18px;
    border: 2px solid black;
    border-radius: 10px;
    margin-bottom: 20px;
    font-size: 1rem;
    font-weight: bold;
}

.item1{
    width: 625px;
    border: 2px solid black;
    border-radius: 10px;
    padding-left: 18px;
    padding-top: 10px;
    font-size: 1rem;
    font-weight: bold;
}

#btn{
    width: 250px;
    margin-top: 20px;
    padding: 10px;
    font-size: 1rem;
}

.section_footer{
    background-color: aliceblue;
    margin-bottom: 0px;
    padding: 10px;
}

/* MEDIA QUERY FOR SIDE NAV */

@media screen and (max-width: 1200px) {
    #main-nav{
        display: none;
    }
    #side-nav{
        display: flex;
   }
}

@media screen and (max-width:768px) {
    #section_id{
        margin: 0 3rem;
        flex-direction: column;
        margin-bottom: 50px;
    }

    .content_text{
        padding: 20px;
    }

    .content_h1{
        font-size: 24px;
    }
    
    .section_about{
        margin: 0 5rem;
    }

    
    .about_container{
        flex-direction: column;
        gap: 20px;
        align-items: center;
    }

    .about_content{
        flex-direction: column;
        gap: 15px;
    }

    .about_content_container{
       margin-left: 90px;
    }

    .aboutimg_container img{
        width: 300px;
        height: 300px;
    }

    .about_description p{
        margin-left: 0px;
        margin-right: 20px;
        
    }

    
    .experience_content_container{
        width: 380px;
    }

    form .contact_main{
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .field .item{
        width: 90%;
    }

    .item1{
        width: 90%;
    }

    .section_footer{
        padding: 15px;
    }
}

@media screen and (max-width:600px){
    .section_id {
        margin: 0 2rem;
        flex-direction: column;
        text-align: center;
    }

    .content_container img {
        width: 100%;
        height: auto;
    }

    .about_container {
        flex-direction: column;
        gap: 1rem;
        margin-left: 0;
    }

    .about_description{
        width: 80%;
        margin-left: 50px;
    }

    .aboutimg_container img{
        width: 110%;
        height: auto;
    }

    .experience_content_container {
        width: 80%;
        padding: 15px;
    }

    .article_container {
        grid-template-columns: 1fr;
    }

    .project_content {
        width: 80%;
    }

    .project_img {
        width: 100%;
        height: auto;
    }

    .project_btn{
        margin-left: 50px;
    }

    .project_btn1{
        margin-left: -25px;
    }

    form .contact_main {
        flex-direction: column;
        gap: 20px;
    }

    .field .item,
    .item1 {
        width: 80%;
    }

    .icon_arrow{
        margin-left: 10px;
    }
}